## dmalloc 5.5.2

=== debian/changelog ===
dmalloc (5.5.2-5) unstable; urgency=low

  * Re-upload to unstable

 -- Roland Stigge <stigge@antcom.de>  Sun, 24 Jun 2012 18:03:03 +0200

dmalloc (5.5.2-4) experimental; urgency=low

  * Added patches fixing "make heavy" test (Closes: #676862)
    - 06-dmalloc-tag.patch
    - 07-doc-update.patch
    - 08-align2.patch
    - 09-strdup-macro-fix.patch
    - 10-recursion-fix.patch
    - 11-pnt-info-fix.patch

 -- Roland Stigge <stigge@antcom.de>  Sun, 10 Jun 2012 13:24:36 +0200

dmalloc (5.5.2-3) experimental; urgency=low

  * Added patch 05-posix-memalign.patch by Johann Klammer to fix test program
    and add missing symbol (Closes: #676585, #676587)

 -- Roland Stigge <stigge@antcom.de>  Fri, 08 Jun 2012 12:13:38 +0200

dmalloc (5.5.2-2) unstable; urgency=low

  * Added patch to fix strndup-as-macro issue (Closes: #633945)
  * debian/control: Standards-Version: 3.9.3
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Mon, 26 Mar 2012 11:42:55 +0200

dmalloc (5.5.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer
  * debian/control: Standards-Version: 3.9.2
  * Install dmallocc.cc to /usr/share/doc/libdmalloc-dev/examples/
    (Closes: #580620)
  * debian/rules: new debhelper dh rules
  * debian/source/format: 3.0 (quilt)

 -- Roland Stigge <stigge@antcom.de>  Sat, 06 Aug 2011 20:30:13 +0200

dmalloc (5.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add ${shlibs:Depends} on -dev package. (Closes: #553232).
  * Add ${misc:Depends} on -dev package.
  * Fix doc-base section for -dev package.
  * Move URL from package description to Homepage field.
  * Minor clean-up to debian/copyright.
  * Make clean not ignore errors.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 31 Oct 2009 14:06:48 -0400

dmalloc (5.5.1-1) unstable; urgency=low

  * New maintainer (Closes: #407637).
  * New upstream release.
  * debian/patches/01-configure.ac.dpatch: new dpatch file.
  * debian/patches/02-Makefile.in.dpatch: new dpatch file.
  * debian/patches/02-threads.dpatch: renamed to 03-threads.dpatch, to be the
  3rd patch applied.
  * debian/patches/03-info.dpatch: removed, fixed in upstream.
  * debian/patches/00list: delete entry for 03-info and 04-inline-asm. 
    Upstream source related with 04-inline-asm patch has changed.

 -- Daniel Rus Morales <danirus@tol-project.org>  Sat,  5 May 2007 10:36:54 +0200

dmalloc (5.4.2-8) unstable; urgency=medium

  * QA upload.
  * debian/libdmalloc-dev.doc-base: Add Index field to info stanza.
    Closes: #418799.
  * debian/rules: Don't copy config.{guess,sub} from autotools-dev
    since configure doesn't actually use them.
  * debian/watch: Update upstream URL.
  * Change priority to extra, catching up with the override file.

 -- Matej Vela <vela@debian.org>  Thu, 12 Apr 2007 08:38:54 +0200

dmalloc (5.4.2-7) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Jan 2007 11:02:00 +0100

dmalloc (5.4.2-6) unstable; urgency=low

  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Fri, 19 Jan 2007 12:02:00 +0100

dmalloc (5.4.2-5) unstable; urgency=low

  * New email address.
  * Bumped policy version.
  * Broken out remaining patches from diff.gz into dedicated dpatches.
  * Removed texinfo from doc-base.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 Aug 2006 20:44:00 +0200

dmalloc (5.4.2-4) unstable; urgency=low

  * Don't compress examples, moving contrib to examples, keep permissions
    (Closes: #349499).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Fri, 24 Feb 2006 11:50:00 +0100

dmalloc (5.4.2-3) unstable; urgency=low

  * Added patch to fix bad inline asm (Closes: #343061).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Mon, 12 Dec 2005 13:20:00 +0100

dmalloc (5.4.2-2) unstable; urgency=low

  * New maintainer (Closes: #317427).
  * Changed priority to optional.
  * Changed package name of libdmalloc4-dev to libdmalloc-dev.
  * Removed old dmalloc transitional package.
  * Bumped policy version.
  * debian/ redone.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 26 Jul 2005 17:49:00 +0200

dmalloc (5.4.2-1) unstable; urgency=low

  * New upstream release
  * settings.dist: #define LOCK_THREADS 1 (Closes: #276457)
  * debian/watch: better match and added ftp2.sf.net

 -- Luk Claes <luk.claes@ugent.be>  Sat,  6 Nov 2004 13:04:26 +0100

dmalloc (5.3.0-5) unstable; urgency=high

  * Provide a smooth upgrade path (Closes: #271119)

 -- Luk Claes <luk.claes@ugent.be>  Tue, 14 Sep 2004 09:01:46 +0200

dmalloc (5.3.0-4) unstable; urgency=high
  * Urgency high because of uninstallable in sarge
  * debian/control: removed Conflicts (Closes: #267743)
  * debian/control: dmalloc in oldlibs
  * debian/rules: dmalloc in binary-indep (Closes: #265019)

 -- Luk Claes <luk.claes@ugent.be>  Mon, 30 Aug 2004 14:52:22 +0200

dmalloc (5.3.0-3) unstable; urgency=low

  * No changes. This is to sort out the fubar made while uploading
    without -sa the first time
    (Closes: #238633) - fixed in -2

 -- Luk Claes <luk.claes@ugent.be>  Wed, 28 Jul 2004 13:22:32 +0100

dmalloc (5.3.0-2) unstable; urgency=low

  * Fixed grammatical and spelling errors in dmalloc.texi
  	(Closes: #238633)

 -- Luk Claes <luk.claes@ugent.be>  Thu, 20 May 2004 16:11:27 +0200

dmalloc (5.3.0-1) unstable; urgency=low

  * New upstream release
  * Split in libdmalloc4 and libdmalloc4-dev
  * Rectified paths in manpage
  * Documentation in the right places (Closes: #229201)
  * Fixed autoconf stuff
  * Exported CFLAGS in debian/rules
  * Added me to debian/copyright
  * Corrected debian/watch

 -- Luk Claes <luk.claes@ugent.be>  Tue, 10 Feb 2004 10:19:39 +0100

dmalloc (5.2.3-1) unstable; urgency=low

  * New upstream release (Closes: #216622).
  * Updated to standards version 3.6.1
  * ANSI compliant __STDC__ handling

 -- Luk Claes <luk.claes@ugent.be>  Mon, 20 Oct 2003 09:39:35 +0200

dmalloc (5.2.1-3) unstable; urgency=low


