=== debian/control ===
Source: dmalloc
Section: devel
Priority: extra
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 9), autoconf, texinfo
Standards-Version: 3.9.3
Homepage: http://www.dmalloc.com/

Package: libdmalloc5
Section: libs
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libdmalloc4
Replaces: libdmalloc4
Suggests: gcc, gdb
Description: debug memory allocation library
 Drop in replacement for the system's `malloc', `realloc', `calloc', `free' and
 other memory management routines while providing powerful debugging facilities
 configurable at runtime.
 .
 These facilities include such things as memory-leak tracking, fence-post write
 detection, file/line number reporting, and general logging of statistics.
 .
 This package contains only the shared libraries, the development files and
 documentation is in the libdmalloc-dev package.

Package: libdmalloc-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmalloc5 (= ${binary:Version})
Description: debug memory allocation library (development files and doc)
 Drop in replacement for the system's `malloc', `realloc', `calloc', `free' and
 other memory management routines while providing powerful debugging facilities
 configurable at runtime.
 .
 These facilities include such things as memory-leak tracking, fence-post write
 detection, file/line number reporting, and general logging of statistics.
 .
 This package contains the static libraries and documentation.
