=== debian/watch ===
version=3
http://dmalloc.com/releases/dmalloc-(.*)\.tgz
